/**
 * ActClassExtract2.java
 *
 * File generated from the medication2::ActClassExtract2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassExtract2.
 *
 * 
 */

@XmlType(name = "ActClassExtract")
@XmlEnum
@XmlRootElement(name = "ActClassExtract2")
public enum ActClassExtract2 {
	@XmlEnumValue("EXTRACT")
	EXTRACT("EXTRACT"),
	@XmlEnumValue("EHR")
	EHR("EHR");
	
	private final String value;

    ActClassExtract2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassExtract2 fromValue(String v) {
        for (ActClassExtract2 c: ActClassExtract2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
